mutex.hpp File Reference

Pmem-resident mutex. More...

`#include "libpmemobj++/detail/pexceptions.hpp"`
`#include "libpmemobj/thread.h"`
`#include "libpmemobj/tx_base.h"`
Include dependency graph for mutex.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | pmem::obj::mutex
| Persistent memory resident mutex implementation. More...

## Detailed Description

Pmem-resident mutex.